---
- name: Ensure snap installed
  dnf:
    name: snapd
    state: present
  become: yes
- name: Ensure snapd service running
  ansible.builtin.systemd:
    name: snapd.socket
    state: started
    enabled: yes
  become: yes
- name: Link /var/lib/snapd/snap /snap
  ansible.builtin.file:
    src: /var/lib/snapd/snap
    dest: /snap
    owner: root
    group: root
    state: link
  become: yes
